package intrinsic.mx.core;

public class EmbeddedFontRegistry extends Object implements intrinsic.mx.core.IEmbeddedFontRegistry {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public EmbeddedFontRegistry() {
}


/** Static Methods */
public static native String getFontStyle(boolean arg0, boolean arg1);
public static native void registerFonts(Object arg0, intrinsic.mx.core.IFlexModuleFactory arg1);
public static native intrinsic.mx.core.IEmbeddedFontRegistry getInstance();

/** Methods */
public native void deregisterFont(intrinsic.mx.core.EmbeddedFont arg0, intrinsic.mx.core.IFlexModuleFactory arg1);
public native void registerFont(intrinsic.mx.core.EmbeddedFont arg0, intrinsic.mx.core.IFlexModuleFactory arg1);
public native intrinsic.Array getFonts();
public native intrinsic.mx.core.IFlexModuleFactory getAssociatedModuleFactory(intrinsic.mx.core.EmbeddedFont arg0, intrinsic.mx.core.IFlexModuleFactory arg1);

}
